package cz.zoubelu.repository;

import cz.zoubelu.model.TimeRange;
import org.springframework.jdbc.core.RowCallbackHandler;

import java.util.List;

/**
 * Created by zoubas.
 */
public interface MessageRepository {

	/**
	 *
	 *
	 * @param timeRange
	 * @return messages
	 */
	void fetchAndConvertData(String tableName, TimeRange timeRange, RowCallbackHandler handler);

	/**
	 *
	 *
	 * @param tableName
	 * @return messages
	 */

	void fetchAndConvertData(String tableName, RowCallbackHandler handler);

	List<String> getDatabaseMessagesTables();

	/**
	 * Checks if the given table name is in the database. It's used to defend against
	 * possible SQL injection.
	 * @param tableName
	 * @return
     */
	boolean isTableInDatabase(String tableName);
}
