package cz.zoubelu.repository.mapper;

import cz.zoubelu.domain.Message;

import java.sql.ResultSet;
import java.sql.SQLException;

/**
 * Created by zoubas.
 */
public class MessageMapper {

    public Message mapRow(ResultSet rs) throws SQLException {
        Message msg = new Message();
        msg.setId(rs.getLong("ID"));
        msg.setRequest_time(rs.getTimestamp("REQUEST_TIME"));
        msg.setResponse_time(rs.getTimestamp("RESPONSE_TIME"));
        msg.setApplication(rs.getString("application"));
        msg.setMsg_type(rs.getString("Msg_type"));
        msg.setMsg_version(rs.getInt("Msg_version"));
        msg.setMsg_src_sys(rs.getInt("Msg_src_sys"));
        msg.setMsg_tar_sys(rs.getInt("Msg_tar_sys"));
        return msg;
    }

}
