package cz.zoubelu.service;

import cz.zoubelu.codelist.SystemApp;
import cz.zoubelu.domain.Application;
import cz.zoubelu.domain.Method;
import cz.zoubelu.model.TimeRange;

/**
 * Created by zoubas.
 */
public interface DynamicEntityProvider {

	Application getApplication(SystemApp system);

	Method getConsumedMethod(Application providingApp, String msg_type, Integer msg_version);

	void createConsumeRelation(Application a,Method m);

	void persistCachedRelations();

	void clearCache();

}
