package cz.zoubelu.domain;

import java.sql.Timestamp;

/**
 * Model of one interaction between applications
 * This object represents one row in MESSAGE table, INFORMA_LOG integration
 */
public class Message {
    private Long id;
    private Timestamp request_time;
    private Timestamp response_time;
    private String application;
    private String msg_type;
    private Integer msg_version;
    private String msg_uid;
    private String msg_id;
    private Integer msg_src_sys;
    private Integer msg_tar_sys;
    private String exception;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public void setRequest_time(Timestamp request_time) {
        this.request_time = request_time;
    }


    public void setResponse_time(Timestamp response_time) {
        this.response_time = response_time;
    }

    public String getApplication() {
        return application;
    }

    public void setApplication(String application) {
        this.application = application;
    }

    public String getMsg_type() {
        return msg_type;
    }

    public void setMsg_type(String msg_type) {
        this.msg_type = msg_type;
    }

    public Integer getMsg_version() {
        return msg_version;
    }

    public void setMsg_version(Integer msg_version) {
        this.msg_version = msg_version;
    }

    public String getMsg_uid() {
        return msg_uid;
    }

    public void setMsg_uid(String msg_uid) {
        this.msg_uid = msg_uid;
    }

    public String getMsg_id() {
        return msg_id;
    }

    public void setMsg_id(String msg_id) {
        this.msg_id = msg_id;
    }

    public Integer getMsg_src_sys() {
        return msg_src_sys;
    }

    public void setMsg_src_sys(Integer msg_src_sys) {
        this.msg_src_sys = msg_src_sys;
    }

    public Integer getMsg_tar_sys() {
        return msg_tar_sys;
    }

    public void setMsg_tar_sys(Integer msg_tar_sys) {
        this.msg_tar_sys = msg_tar_sys;
    }

    public String getException() {
        return exception;
    }

    public void setException(String exception) {
        this.exception = exception;
    }

}
