package cz.zoubelu.repository;

import cz.zoubelu.domain.Application;
import org.springframework.data.neo4j.annotation.Query;
import org.springframework.data.neo4j.repository.GraphRepository;

/**
 * Created by zoubas.
 */
public interface ApplicationRepository extends GraphRepository<Application> {

    @Query("MATCH (a: Application) WHERE a.name={0} RETURN a")
    Application findByName(String name);

    @Query("MATCH (a: Application) WHERE a.systemId={0} RETURN a")
    Application findBySystemId(Integer systemId);
}
